:root {
    --primary-color: rgba(52, 152, 219, 1);
    --primary-color-300: rgba(236, 245, 252, 1);
    --secondary-color: rgba(255, 87, 34, 1);
    --secondary-color-300: rgba(255, 240, 235, 1);
    --base-color: rgba(7, 39, 60, 1);
    --base-color-200: rgba(136, 136, 136, 1);
    --base-color-300: rgba(224, 224, 224, 1);
    --red-color: rgba(255, 49, 48, 1);
    --white-color: #FFFFFF;
    --black-color: #000000;
}

*,
*::before,
*::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html,
body {
    margin: 0;
    padding: 0;
    font-family: "Inter", serif;
    font-optical-sizing: auto;
    font-style: normal;
    color: var(--base-color);
}

/* utils starts */
h1,
.h1,
h2,
.h2,
h3,
.h3,
h4,
.h4,
h5,
.h5,
h6,
.h6 {
    font-weight: 700;
    text-transform: capitalize;
}

h1,
.h1 {
    font-size: clamp(34px, -25.4352px + 10.3365vw, 77px);
}

h2,
.h2 {
    font-size: clamp(28px, -13.4656px + 7.2115vw, 58px);
}

h3,
.h3 {
    font-size: clamp(24px, 11.56px + 2.1635vw, 33px);
}

h4,
.h4 {
    font-size: clamp(20px, 8.9424px + 1.9231vw, 28px);
}

h5,
.h5 {
    font-size: clamp(16px, 7.7072px + 1.4423vw, 22px);
}

h6,
.h6 {
    font-size: clamp(14px, 8.4704px + 0.9615vw, 18px);
}

.font-sm {
    font-size: 14px;
}

img {
    max-width: 100%;
    height: auto;
}

a {
    text-decoration: none;
    transition: all .3s ease;
}

.mb-48 {
    margin-bottom: clamp(40px, 28.9424px + 1.9231vw, 48px);
}

.container-wrap {
    padding: 0 3rem;
}

.primary-bg {
    background-color: var(--primary-color);
}

.primary-bg-300 {
    background-color: var(--primary-color-300);
}

.secondary-bg {
    background-color: var(--secondary-color);
}

.bg-base {
    color: var(--white-color);
    background-color: var(--base-color);
}

.red-bg {
    background-color: var(--red-color);
}

.red-text {
    color: var(--red-color);
}

.primary-text {
    color: var(--primary-color);
}
.secondary-list li::marker,
.secondary-text {
    color: var(--secondary-color);
}
.base-text {
    color: var(--base-color);
}

.muted-text {
    color: var(--base-color-200);
}

.list-base li:not(:last-child) {
   margin-bottom: 16px;
}

.spacer-y {
    padding-top: 5rem;
    padding-bottom: 5rem;
}

.spacer-y-lg {
    padding-top: 8rem;
    padding-bottom: 8rem;
}

.button-group {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: .5rem;
}

.button {
    padding: .9375rem 1.5625rem;
    border-radius: .5rem;
    line-height: 1;
    font-weight: 600;
    gap: .625rem;
    display: inline-flex;
    flex-shrink: 0;
    align-items: center;
    justify-content: center;
    transition: all .3s ease;
}

.button.lg {
    min-width: 13.8125rem;
}

.button-primary {
    color: var(--white-color);
    background-color: var(--primary-color);
    border: .125rem solid var(--primary-color);
}

.button-secondary {
    color: var(--white-color);
    background-color: var(--secondary-color);
    border: .125rem solid var(--secondary-color);
}

.button-white {
    color: var(--secondary-color);
    background-color: var(--white-color);
    border: .125rem solid var(--white-color);
}

.button-white:hover,
.button-secondary:hover,
.button-primary:hover {
    border-color: var(--base-color);
    background-color: var(--base-color);
}

.button-primary.outline {
    color: var(--primary-color);
    background-color: transparent;
}

.button-secondary.outline {
    color: var(--secondary-color);
    background-color: transparent;
}

.button-white.outline {
    color: var(--white-color);
    background-color: transparent;
}

.button-white.outline:hover,
.button-secondary.outline:hover,
.button-primary.outline:hover {
    color: var(--white-color);
    background-color: var(--base-color);
}

.theme-control {
    padding: .875rem 1.5rem;
    border-radius: 8px;
    box-shadow: none !important;
}

.theme-control:focus {
    border-color: var(--primary-color);
}

.theme-control.secondary:focus {
    border-color: var(--secondary-color);
}

.theme-control::placeholder {
    color: var(--base-color-200);
}

.icon-input i {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    right: 20px;
    /* color: var(--base-color-300); */
}
.upload-wrap {
    padding: 2rem;
    text-align: center;
    width: 100%;
    border: 2px dashed var(--base-color-300);
    border-radius: 8px;
}
.upload-wrap i {
    font-size: 3rem;
}

/* utils ends */
/* custom checkbox starts */
/* checkbox settings 👇 */

.theme-checkbox {
    /* --primary-color: #1677ff; */
    --secondary-color: #fff;
    --primary-hover-color: #4096ff;
    --checkbox-diameter: 16px;
    --checkbox-border-radius: 4px;
    --checkbox-border-color: #d9d9d9;
    --checkbox-border-width: 1px;
    --checkbox-border-style: solid;
    --checkmark-size: 1.2;
}

.theme-checkbox,
.theme-checkbox *,
.theme-checkbox *::before,
.theme-checkbox *::after {
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

.theme-checkbox {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    width: var(--checkbox-diameter);
    height: var(--checkbox-diameter);
    border-radius: var(--checkbox-border-radius);
    background: var(--secondary-color);
    border: var(--checkbox-border-width) var(--checkbox-border-style) var(--checkbox-border-color);
    -webkit-transition: all 0.3s;
    -o-transition: all 0.3s;
    transition: all 0.3s;
    cursor: pointer;
    position: relative;
}

.theme-checkbox::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    -webkit-box-shadow: 0 0 0 calc(var(--checkbox-diameter) / 2.5) var(--primary-color);
    box-shadow: 0 0 0 calc(var(--checkbox-diameter) / 2.5) var(--primary-color);
    border-radius: inherit;
    opacity: 0;
    -webkit-transition: all 0.5s cubic-bezier(0.12, 0.4, 0.29, 1.46);
    -o-transition: all 0.5s cubic-bezier(0.12, 0.4, 0.29, 1.46);
    transition: all 0.5s cubic-bezier(0.12, 0.4, 0.29, 1.46);
}

.theme-checkbox::before {
    top: 42%;
    left: 50%;
    content: "";
    position: absolute;
    width: 4px;
    height: 7px;
    border-right: 2px solid var(--secondary-color);
    border-bottom: 2px solid var(--secondary-color);
    -webkit-transform: translate(-50%, -50%) rotate(45deg) scale(0);
    -ms-transform: translate(-50%, -50%) rotate(45deg) scale(0);
    transform: translate(-50%, -50%) rotate(45deg) scale(0);
    opacity: 0;
    -webkit-transition: all 0.1s cubic-bezier(0.71, -0.46, 0.88, 0.6), opacity 0.1s;
    -o-transition: all 0.1s cubic-bezier(0.71, -0.46, 0.88, 0.6), opacity 0.1s;
    transition: all 0.1s cubic-bezier(0.71, -0.46, 0.88, 0.6), opacity 0.1s;
}

/* actions */

.theme-checkbox:hover {
    border-color: var(--primary-color);
}

.theme-checkbox:checked {
    background: var(--primary-color);
    border-color: transparent;
}

.theme-checkbox:checked::before {
    opacity: 1;
    -webkit-transform: translate(-50%, -50%) rotate(45deg) scale(var(--checkmark-size));
    -ms-transform: translate(-50%, -50%) rotate(45deg) scale(var(--checkmark-size));
    transform: translate(-50%, -50%) rotate(45deg) scale(var(--checkmark-size));
    -webkit-transition: all 0.2s cubic-bezier(0.12, 0.4, 0.29, 1.46) 0.1s;
    -o-transition: all 0.2s cubic-bezier(0.12, 0.4, 0.29, 1.46) 0.1s;
    transition: all 0.2s cubic-bezier(0.12, 0.4, 0.29, 1.46) 0.1s;
}

.theme-checkbox:active:not(:checked)::after {
    -webkit-transition: none;
    -o-transition: none;
    -webkit-box-shadow: none;
    box-shadow: none;
    transition: none;
    opacity: 1;
}

/* custom checkbox ends */
/* navigation starts */
header {
    position: sticky;
    top: 0;
    background-color: var(--white-color);
    z-index: 3;
}

.top-nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    text-align: center;
}

.logo-wrap img {
    height: 4rem;
    object-fit: contain;
}

.nav-wrap {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: .75rem 0;
}

.menu-wrap-parent,
.menu-wrap {
    display: flex;
    gap: 3rem;
    align-items: center;
}

.nav-item a {
    color: var(--primary-color);
}

.nav-item.active a {
    color: var(--base-color);
    font-weight: bold;
}

.hamburger {
    display: none;
}

/* navigation ends */
/* hero starts */
.hero-wrap {
    background-image: url(../images/website_images/hero-img.jpg);
    background-size: cover;
    background-position: center;
}

/* hero ends */
/* job section starts */
.job-card {
    position: relative;
    height: 27rem;
    padding: 2.625rem 2rem 0 2rem;
    border-radius: 2rem;
    overflow: hidden;
    background-color: var(--primary-color-300);
}

.job-card.secondary {
    background-color: var(--secondary-color-300);
}

.job-card>div {
    width: 60%;
}

.job-card>img {
    position: absolute;
    bottom: 0;
    right: 2rem;
    object-fit: contain;
    object-position: bottom;
}

/* job section ends */
/* footer starts */
.footer-item .h5 {
    position: relative;
    padding-bottom: 16px;
    margin-bottom: 32px;
}

.footer-item .h5::before {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 1.75rem;
    border-bottom: .1875rem solid var(--secondary-color);
}

.footer-item ul a {
    display: block;
    color: var(--white-color);
    transition: all .3s ease;
}

footer a:hover {
    color: var(--secondary-color) !important;
}

.footer-item ul li:not(:last-child) {
    margin-bottom: .375rem;
}

.footer-btm {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 2.1875rem 0;
    border-top: .0625rem solid rgba(255, 255, 255, 0.3);
    gap: 20px 10px;
}

.footer-right {
    display: flex;
    gap: .625rem 3rem;
}

.footer-right .footer-menu {
    display: flex;
    align-items: center;
    gap: .625rem 1.5rem;
}

.footer-right .socials {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: .5rem;
}

.footer-right .socials a {
    height: 2rem;
    width: 2rem;
    background-color: rgba(255, 255, 255, 0.2);
    border-radius: 2.5rem;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1.0625rem;
}

.footer-right .socials a:hover {
    color: var(--white-color) !important;
    background-color: var(--secondary-color);
}

/* footer ends */
/* people page starts */
.spec-icon {
    height: 6rem;
    width: 6rem;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 6.25rem;
    background-color: var(--white-color);
}

.spec-icon.lg {
    height: 7rem;
    width: 7rem;
}

.spec-icon svg path {
    fill: currentColor;
}

.specialize-slider .swiper-slide {
    max-width: 8.0625rem;
}

/* testimonial starts */
.testimonial-card {
    padding: 2rem 1.5rem;
    border-radius: 1rem;
    border: .125rem solid rgba(255, 255, 255, .2);
    background-color: rgba(255, 255, 255, 0.1);
    transition: all .3s ease;
}

.testimonial-card:hover {
    color: var(--base-color);
    border-color: var(--white-color);
    background-color: var(--white-color);
}

.testimonial-card:hover :is(.testi-location, .rating) {
    color: var(--secondary-color);
}

.primary-bg .testimonial-card:hover :is(.testi-location, .rating) {
    color: var(--primary-color);
}

.accordion-item {
    border: .0625rem solid var(--base-color-300) !important;
    border-radius: .5rem !important;
    color: var(--base-color);
}

.accordion-button:not(.collapsed) {
    color: var(--base-color);
}

/* .accordion-item:not(:last-child) {
    margin-bottom: 1.5rem;
} */

.accordion-button {
    box-shadow: none !important;
    background-color: transparent !important;
    padding: .9375rem 1.5rem;
    font-weight: 600;
    border-radius: .5rem !important;
}

.accordion-button::after {
    content: '\2b';
    font-family: 'Font Awesome';
    display: flex;
    justify-content: center;
    background: unset;
    scale: 2;
}

.accordion-button:not(.collapsed)::after {
    content: '\f068';
    font-family: 'Font Awesome 6 Pro';
    display: flex;
    justify-content: center;
    background: unset;
    scale: 1;
}

.accordion-button.collapsed:hover {
    color: var(--white-color) !important;
    background-color: var(--secondary-color) !important;
}

.primary-faq .accordion-button.collapsed:hover {
    background-color: var(--primary-color) !important;
}

.accordion-body {
    color: var(--base-color-200) !important;
    padding: .5625rem 1.5rem 1rem;
}

.accordion-item:has(.show) {
    border-color: var(--secondary-color) !important;
}

.primary-faq .accordion-item:has(.show) {
    border-color: var(--primary-color) !important;
}

/* testimonial ends */
/* people page ends */
/* us page starts */
.icon-base {
    height: 6rem;
    width: 6rem;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: .5rem;
}

/* stats start */
.stat-row {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: .9375rem 5rem;
}

/* stats ends */
/* us page ends */
/* login page starts */
.login-form {
    padding: 3.5rem 2rem;
    background-color: var(--white-color);
    border-radius: 1rem;
    height: 100%;
}
.login-form h6 {
    margin-bottom: 24px;
}
.form-group {
    padding: 24px;
    border: 1px solid var(--base-color-300);
    border-radius: 8px;
    position: relative;
}
.form-group .close-block {
    position: absolute;
    top: -12px;
    right: -12px;
}
/* login page ends */
/* job listing starts */
.job-list-card {
    padding: 2rem 1.5rem;
    background: var(--white-color);
    border-radius: 1rem;
    border: 1px solid var(--base-color-300);
    transition: all .3s ease;
}
.job-list-card:hover {
    border-color: var(--primary-color);
    background-color: var(--primary-color);
}
.job-list-card:hover * {
    color: var(--white-color);
}
.job-list-card .share-icon {
    height: 48px;
    width: 48px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 20px;
    border-radius: 50px;
    transition: all .3s ease;
}
.job-list-card .share-icon:hover {
    background-color: var(--secondary-color);
}
.pagination {
    display: flex;
    align-items: center;
    gap: 24px;
    justify-content: center;
}
.pagination ul {
    display: flex;
    gap: 8px;
}
.pagination ul a {
    height: 3rem;
    width: 3rem;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--white-color);
    border: 1px solid var(--base-color-300);
    border-radius: 8px;
    font-weight: 500;
    color: var(--base-color);
}
.pagination ul a:hover,
.pagination ul a.active {
    color: var(--white-color);
    background-color: var(--primary-color);
    border-color: var(--primary-color);
}
.share-dropdown {
    position: absolute;
    right: 0;
    top: 88%;
    border-radius: 8px;
    padding: 1rem;
    background: var(--base-color);
    opacity: 0;
    visibility: hidden;
    transform: translateY(10px);
    transition: all .3s ease;
}
.share-dropdown:hover,
.share-icon:hover + .share-dropdown {
    transform: translateY(0);
    opacity: 1;
    visibility: visible;
}
.share-dropdown .social-list a {
    height: 32px;
    width: 32px;
    font-size: unset;
    background-color: rgba(255, 255, 255, 0.2);
}
.share-dropdown::before {
    content: '';
    height: 20px;
    width: 20px;
    position: absolute;
    background: var(--base-color);
    top: -8px;
    right: 14px;
    rotate: 45deg;
    border-radius: 4px;
}
/* job listing ends */
/* job inner page starts */
.job-info i {
    height: 3rem;
    width: 3rem;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 8px;
    border: 1px solid var(--secondary-color);
}
.social-list {
    display: flex;
    align-items: center;
    gap: .5rem;
}
.social-list a {
    height: 48px;
    width: 48px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: var(--base-color);
    color: var(--white-color);
    border-radius: 50px;
    font-size: 1.625rem;
}
/* job inner page ends */
/* my profile page starts */
.profile-dropdown {
    width: 16rem;
    position: absolute;
    right: 0;
    top: calc(100% + 10px);
    transform: translateY(-10px);
    opacity: 0;
    visibility: hidden;
    transition: all .3s ease;
}
.profile-wrap:hover .profile-dropdown {
    transform: translateY(0);
    opacity: 1;
    visibility: visible;
}
.profile-dropdown .profile-top {
    color: var(--white-color);
    padding: 24px 24px 41px;
    border-radius: 8px 8px 0 0;
    background-color: var(--base-color);
}
.profile-sidebar {
    background-color: var(--base-color);
    padding: 16px 0;
    border-radius: 16px;
    min-height: 27rem;
}
.profile-sidebar a {
    padding: 1rem 1.5rem;
}
/* my profile page ends */
/* application page starts */
.table-row {
    display: grid;
    grid-template-columns: 160px 1fr;
    gap: 8px;
}
.theme-table .table-row {
    padding: 18px 24px;
    border-radius: 8px;
    border: 1px solid var(--base-color-300);
}
.theme-table .table-row:first-child {
    border-radius: 8px;
    font-weight: 600;
    color: var(--white-color);
    background-color: var(--base-color);
}
.theme-table .table-row:not(:last-child) {
    margin-bottom: .5rem;
}
.alert-modal {
    max-width: 27rem;
    margin: auto;
}
.alert-modal .modal-body {
    padding: 74px 48px;
    border-radius: 16px;
    text-align: center;
}
.alert-modal .close-block {
    position: absolute;
    top: -8px;
    right: -8px;
}
.alert-modal .close-block::before {
    padding-top: 1px;
}
/* application page ends */

.accordion-wrap .accordion {
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items: start;
    gap: 15px;
}

@media (max-width: 991px) {
    .nav-item.active a {
        color: var(--white-color);
        background-color: var(--base-color);
        font-weight: bold;
    }
    .hamburger {
        width: 1.5rem;
        height: .9375rem;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        cursor: pointer;
    }

    .hamburger span {
        height: .125rem;
        width: 100%;
        background-color: var(--base-color);
        display: block;
    }

    .menu-wrap-parent {
        position: fixed;
        left: 0;
        top: 0;
        height: 100%;
        flex-direction: column;
        justify-content: space-between;
        z-index: 5;
        background-color: var(--white-color);
        padding: 1.875rem 0;
        width: 18.75rem;
        opacity: 0;
        visibility: hidden;
        transform: translateX(-100%);
        transition: all .3s ease;
    }

    .menu-wrap-parent.active {
        opacity: 1;
        visibility: visible;
        transform: translateX(0);
    }

    .menu-wrap-parent .button-group {
        padding: 0 1.25rem;
        width: 100%;
        flex-direction: column;
    }

    .menu-wrap-parent .button-group a {
        width: 100%;
    }

    .menu-wrap {
        flex-direction: column;
        align-items: stretch;
        gap: 0;
        width: 100%;
    }

    .menu-wrap .nav-item a {
        width: 100%;
        display: block;
        padding: 12px 20px;
    }

    .job-card>img {
        width: 40%;
    }

    .footer-btm {
        flex-direction: column;
        padding: 20px 0;
    }

    .footer-right .footer-menu {
        flex-wrap: wrap;
    }

    .footer-right {
        width: 100%;
        justify-content: space-between;
    }

    .profile-sidebar {
        min-height: auto;
    }
}

@media (max-width: 767px) {
    .spacer-y-lg {
        padding-top: 3.125rem;
        padding-bottom: 3.125rem;
    }

    .spacer-y {
        padding-top: 2.5rem;
        padding-bottom: 2.5rem;
    }

    .container-wrap {
        padding: 0 12px;
    }

    .job-card>img {
        width: 40%;
    }

    .logo-wrap img {
        height: 3.125rem;
    }

    .top-nav {
        justify-content: center;
        gap: 5px 20px;
    }

    .job-card>div {
        width: 100%;
    }

    .stat-card {
        width: calc(50% - 40px);
    }

    .spec-icon.lg {
        height: 5rem;
        width: 5rem;
        padding: 16px;
    }
    .accordion-wrap .accordion {
        grid-template-columns: 1fr;
    }
}

@media (max-width: 575px) {
    .menu-wrap-parent {
        width: 75%;
        padding: 20px 0;
    }

    .logo-wrap img {
        height: 2.2rem;
    }

    .job-card {
        height: auto;
        padding: 2rem;
    }

    .job-card>img {
        display: none;
    }

    .footer-right {
        flex-direction: column;
        gap: 20px 10px;
    }

    .footer-right .footer-menu {
        justify-content: center;
    }

    .stat-card {
        width: 100%;
    }

    .login-form {
        padding: 1.875rem 1rem;
    }

    .pagination {
        justify-content: space-between;
        flex-wrap: wrap;
        gap: 20px;
    }
    .pagination ul a {
        width: 2.5rem;
        height: 2.5rem;
    }
    .pagination ul {
        display: flex;
        gap: 8px;
        order: 3;
        width: 100%;
        justify-content: center;
    }

    .alert-modal {
        max-width: 90%;
        margin: auto;
        font-size: 14px;
    }
    .alert-modal .modal-body {
        padding: 34px 12px;
    }
}